Show / Hide Table of Contents

# Class QueryExecutionSettings

Collection of settings related to the execution of queries

##### Inheritance

System.Object
QueryExecutionSettings

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.SqlContext

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class QueryExecutionSettings

### Properties

| Improve this Doc View Source

#### BatchSeparator

The configured batch separator, will use a default if a value was not configured

##### Declaration

    public string BatchSeparator { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Update(QueryExecutionSettings)

Update the current settings with the new settings

##### Declaration

    public void Update(QueryExecutionSettings newSettings)

##### Parameters

Type | Name | Description
--- | --- | ---
QueryExecutionSettings | newSettings | The new settings